part of example.basic_auth.server;

/// This route group contains login and logout routes
@Api()
class AuthRoutes extends Object with JsonRoutes {
  JsonRepo get repo => jsonRepo;

  @Post(path: '/login')
  @WrapOne(#formAuth)
  Response<String> login(Context ctx) {
    final User user = ctx.getInput<User>(FormAuth);
    return toJson(user);
  }

  @Post(path: '/logout')
  void logout(Context ctx) {
    //TODO logout
  }

  FormAuth formAuth(Context ctx) =>
      new FormAuth(kModelManager);
}
