part of example.basic_auth.server;

/// This route group contains login and logout routes
@Api()
class AuthRoutes extends Object with JsonRoutes {
  JsonRepo get repo => jsonRepo;

  @Post(path: '/login')
  @WrapOne(#jsonAuth)
  Response<String> login(Context ctx) {
    final User user = ctx.getInput<User>(JsonAuth);
    return toJson(user);
  }

  @Post(path: '/logout')
  void logout(Context ctx) {
    //TODO logout
  }

  SessionInterceptor sessionInterceptor(Context ctx) =>
      new SessionInterceptor(sessionManager());

  JsonAuth jsonAuth(Context ctx) =>
      new JsonAuth(kModelManager);
}
